<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__seglcd__font__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_seglcd_font_t</compoundname>
    <includes local="no">cy_seglcd.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__seglcd__font__t_1a3f2c5ab28c39155b7a5a8b4b0d1bb04f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref></type>
        <definition>char_t cy_stc_seglcd_font_t::first</definition>
        <argsstring />
        <name>first</name>
        <briefdescription>
<para>The first character code in the fontMap array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="508" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="508" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__font__t_1ae899ae5eedf0babd3416bf3fd9979eba" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga40bb5262bf908c328fbcfbe5d29d0201">char_t</ref></type>
        <definition>char_t cy_stc_seglcd_font_t::last</definition>
        <argsstring />
        <name>last</name>
        <briefdescription>
<para>The last character code in the fontMap array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="509" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="509" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__font__t_1a128a4b366ab894415a75d0635fb368f7" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_seglcd_font_t::ascii</definition>
        <argsstring />
        <name>ascii</name>
        <briefdescription>
<para>Specifies whether the font map is indexed accordingly to ASCII character codes: true - the font is ASCII-coded alphanumeric (e.g. </para>        </briefdescription>
        <detaileddescription>
<para>a basic set "space" (ASCII 0x20) - "tilde"(ASCII 0x7E)); false - the font is e.g. pure numeric (0x0...0xF only), or any other custom character set. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="510" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="510" />
      </memberdef>
      <memberdef id="structcy__stc__seglcd__font__t_1ab242c227ea32e6e468c000bf83f1fc69" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t const  *</type>
        <definition>uint8_t const* cy_stc_seglcd_font_t::fontMap</definition>
        <argsstring />
        <name>fontMap</name>
        <briefdescription>
<para>The pointer to the font segment/pixel map array. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="514" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="514" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Font structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="515" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" bodystart="506" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_seglcd.h" line="507" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__seglcd__font__t_1a128a4b366ab894415a75d0635fb368f7" virt="non-virtual"><scope>cy_stc_seglcd_font_t</scope><name>ascii</name></member>
      <member prot="public" refid="structcy__stc__seglcd__font__t_1a3f2c5ab28c39155b7a5a8b4b0d1bb04f" virt="non-virtual"><scope>cy_stc_seglcd_font_t</scope><name>first</name></member>
      <member prot="public" refid="structcy__stc__seglcd__font__t_1ab242c227ea32e6e468c000bf83f1fc69" virt="non-virtual"><scope>cy_stc_seglcd_font_t</scope><name>fontMap</name></member>
      <member prot="public" refid="structcy__stc__seglcd__font__t_1ae899ae5eedf0babd3416bf3fd9979eba" virt="non-virtual"><scope>cy_stc_seglcd_font_t</scope><name>last</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>